curl "$ATAI_API_ENDPOINT/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a" \
-H "Authorization: Bearer $ATAI_API_KEY"
import os
import requests
base_url = os.environ["ATAI_API_ENDPOINT"]
api_key = os.environ["ATAI_API_KEY"]
response = requests.get(
f"{base_url}/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a",
headers={"Authorization": f"Bearer {api_key}"},
)
if response.status_code == 200:
deployment = response.json()
print(deployment["status"])
else:
print(f"Error: {response.json()['errors']}")
const response = await fetch(
`${process.env.ATAI_API_ENDPOINT}/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const body = await response.json();
if (response.ok) {
console.log(body.status);
} else {
console.error('Error:', body.errors);
}
{
"id": "dpl_01jcf3n8q5vx2mt7r4k6hbzd9a",
"org_id": "org_01jc8m5r2vq9xt4bn7h3kdzs6w",
"project_id": "prj_01jcd4m8t2vq6xn3r7k5hbzw9e",
"created_by": "usr_01jc8m6t3wr0yv5cp8j4mezt7x",
"package_id": "pkg_01jcb2x7m4qv8n3h5t6rk9dzs0",
"kind": "batch",
"status": "ready",
"error": null,
"created_at": "2026-10-29T16:00:00Z",
"ready_at": "2026-10-29T16:00:00Z",
"stopped_at": null,
"sessions": null
}
Deployments
Get Deployment
Fetch one deployment by id to check its status
GET
/
api
/
agents
/
deployments
/
{deployment_id}
curl "$ATAI_API_ENDPOINT/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a" \
-H "Authorization: Bearer $ATAI_API_KEY"
import os
import requests
base_url = os.environ["ATAI_API_ENDPOINT"]
api_key = os.environ["ATAI_API_KEY"]
response = requests.get(
f"{base_url}/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a",
headers={"Authorization": f"Bearer {api_key}"},
)
if response.status_code == 200:
deployment = response.json()
print(deployment["status"])
else:
print(f"Error: {response.json()['errors']}")
const response = await fetch(
`${process.env.ATAI_API_ENDPOINT}/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const body = await response.json();
if (response.ok) {
console.log(body.status);
} else {
console.error('Error:', body.errors);
}
{
"id": "dpl_01jcf3n8q5vx2mt7r4k6hbzd9a",
"org_id": "org_01jc8m5r2vq9xt4bn7h3kdzs6w",
"project_id": "prj_01jcd4m8t2vq6xn3r7k5hbzw9e",
"created_by": "usr_01jc8m6t3wr0yv5cp8j4mezt7x",
"package_id": "pkg_01jcb2x7m4qv8n3h5t6rk9dzs0",
"kind": "batch",
"status": "ready",
"error": null,
"created_at": "2026-10-29T16:00:00Z",
"ready_at": "2026-10-29T16:00:00Z",
"stopped_at": null,
"sessions": null
}
Requires version 2.0.1 or later of the Archetype platform.
Overview
This endpoint returns one deployment by itsdpl_ id. Use it to follow the deployment’s
status: sessions can be opened on it only while it is ready.
Request
Response
Returns the deployment, with the same fields as Create Deployment returns.The session settings stored for a
serving deployment: max and idle_timeout_secs. null
for a batch deployment. Change them with Update
Deployment.curl "$ATAI_API_ENDPOINT/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a" \
-H "Authorization: Bearer $ATAI_API_KEY"
import os
import requests
base_url = os.environ["ATAI_API_ENDPOINT"]
api_key = os.environ["ATAI_API_KEY"]
response = requests.get(
f"{base_url}/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a",
headers={"Authorization": f"Bearer {api_key}"},
)
if response.status_code == 200:
deployment = response.json()
print(deployment["status"])
else:
print(f"Error: {response.json()['errors']}")
const response = await fetch(
`${process.env.ATAI_API_ENDPOINT}/agents/deployments/dpl_01jcf3n8q5vx2mt7r4k6hbzd9a`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const body = await response.json();
if (response.ok) {
console.log(body.status);
} else {
console.error('Error:', body.errors);
}
{
"id": "dpl_01jcf3n8q5vx2mt7r4k6hbzd9a",
"org_id": "org_01jc8m5r2vq9xt4bn7h3kdzs6w",
"project_id": "prj_01jcd4m8t2vq6xn3r7k5hbzw9e",
"created_by": "usr_01jc8m6t3wr0yv5cp8j4mezt7x",
"package_id": "pkg_01jcb2x7m4qv8n3h5t6rk9dzs0",
"kind": "batch",
"status": "ready",
"error": null,
"created_at": "2026-10-29T16:00:00Z",
"ready_at": "2026-10-29T16:00:00Z",
"stopped_at": null,
"sessions": null
}
Important Notes
- A
404means the deployment does not exist, belongs to another organization, or is in a project you cannot see.
Was this page helpful?